Bug 440653 - xfontsel has graphic error, may be general problem
xfontsel has graphic error, may be general problem
Product: Fedora
Classification: Fedora
Component: xorg-x11-utils (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-04 08:38 EDT by Gennaro
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-07 20:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
cannot reproduce (5.38 KB, image/png)
2008-04-07 06:01 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Gennaro 2008-04-04 08:38:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008033120 Fedora/3.0-0.51.beta5rc2.fc9 Firefox/3.0b5

Description of problem:
This may be a problem more general than xfontsel! 
I suppose some graphic library fault but i cannot guess which one.

Boxes and windows border lines are drown with an x and y offset when you keep xfontsel out the screen and then keep it back. More often this boxed are drown piecewise with different offsets.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run xfontsel from tcsh
2.use the mouse to bring it out the screen on the left side
3.bring it back completely in the screen

Actual Results:
Black and white borders for keys "quit" "select" are drown with about 50 pixel on right and 10 pixel on bottom of the right place.
Also there is some tiny (1 pixel wide, 10 .. 100 pixel high) vertical white and black segment appearing here and there on the window.

You could clean them passing another windows on the xfontsel window.

Expected Results:

Additional info:
I installed fedora8 10 days ago, and i upgraded it a lot, passing to rawhide.

PLEASE check this, since it seems not a problem of xfontsel but seems coming from some graphic library.

But at the moment i did NOT observed it with xterm emacs firefox.
Comment 1 Matěj Cepl 2008-04-07 06:01:20 EDT
Created attachment 301492 [details]
cannot reproduce
Comment 2 Matěj Cepl 2008-04-07 09:03:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Bug Zapper 2008-05-14 04:39:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Brennan Ashton 2008-06-07 20:51:52 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


Note You need to log in before you can comment on or make changes to this bug.